<template>
  <div>
    <v-row justify="space-between">
    <div id="mapbox" class="mapbox"></div>

    
    <v-card align="center" width="24%" class="white--text" style="background-color: #000411">
      <v-card-title>Informações</v-card-title>
      <v-card-text>
        <v-form v-model="form">
          <!-- Nome da area -->
          <v-text-field
            background-color="#e1efe6"
            placeholder="Nome"
            v-model="area.title"
            outlined
            :rules = "[rules.nome]"
            color="black"
          ></v-text-field>
          <!-- GEOJSON -->
          <!-- <v-textarea
            background-color="#e1efe6"
            placeholder="GEOJson"
            readonly
            :value="JSON.stringify(area.geojson)"
            auto-grow
            outlined
            row-height="5"
          ></v-textarea> -->
          <!-- Area em hectares -->
          <v-text-field
            color="black"
            background-color="#e1efe6"
            placeholder="Area (ha)"
            readonly
            :value="area.ha"
            :rules = "[rules.area_ha]"
            outlined
          ></v-text-field>
          <v-col cols="12" class="pb-0 pt-0">
          <!-- Slider de porcentagem de nuvens -->
          <v-spacer></v-spacer>
          <h4 class="pl-4 white--text">Porcentagem de Nuvem: {{area.cloudiness}}</h4>
          <v-slider
            v-model="area.cloudiness"
            thumb-label
            color="#006064"
          ></v-slider>
          <!-- Model de selecionar periodo -->
          <h4 class="pl-4 white--text">Periodo das imagens:</h4>
          <v-row justify="center">  
            <v-menu
              v-model="menu2"
              :close-on-content-click="false"
              :nudge-right="40"
              transition="scale-transition"
              offset-y
              min-width="290px"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  prepend-icon="mdi-calender-check"
                  background-color="#e1efe6"
                  readonly
                  v-model="area.period"
                  outlined
                  v-bind="attrs"
                  v-on="on"
                ></v-text-field>
              </template>
              <v-date-picker 
                v-model="area.period" 
                range
                locale="pt-br"
                color="#006064"
              ></v-date-picker>
            </v-menu>
          </v-row>
          </v-col>
          <!-- Select de Satelites -->
          <v-col class="d-flex" cols="12">
            <v-select
              :items="arraySatelites"
              label="Selecionar Satélite"
              dense
              v-model="area.satellite"
              :value="arraySatelites[0]"
              solo
            ></v-select>
          </v-col>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-row justify="center">
          <v-btn
            class="primary"
            :disabled="!form"
            @click="criarArea()"
            >Processar área
          </v-btn>
        </v-row>
      </v-card-actions>
    </v-card>
    </v-row>
  </div>
</template>
<script src="./MapController.js"></script>

<style scoped>
  .mapbox{
    width: 75%;
    height: 800px;
    border-radius: 5px;
  }
</style>
